Page MenuHomePhabricator

Parsoid extension API should use DOM fragments, not documents
Closed, ResolvedPublic

Description

All DOM building should really take place in a single document context; this simplifies handling the bag-on-the-side implementation and would allow a 1-to-1 mapping between env and doc.

In particular, the toDOM method in the extension API currently returns a DOMDocument; it should return a DOMFragment (owned by the env's main document) instead.

Event Timeline

cscott created this task.Apr 24 2019, 4:16 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 24 2019, 4:16 PM
ssastry triaged this task as Medium priority.May 7 2019, 9:26 PM
ssastry moved this task from Backlog to Post-Port Work on the Parsoid-PHP board.
ssastry edited projects, added Parsoid; removed Parsoid-PHP.Dec 8 2019, 3:27 AM
ssastry removed a subscriber: Parsing-Team--ARCHIVED.
Arlolra claimed this task.Jul 17 2020, 6:39 PM

Change 617282 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] [WIP] One document to rule them all

https://gerrit.wikimedia.org/r/617282

Change 622425 had a related patch set uploaded (by Arlolra; owner: Arlolra):
[mediawiki/services/parsoid@master] Remove special case for the html extension

https://gerrit.wikimedia.org/r/622425

Change 622425 merged by jenkins-bot:
[mediawiki/services/parsoid@master] Remove special case for the html extension when unpacking

https://gerrit.wikimedia.org/r/622425

Change 625641 had a related patch set uploaded (by Subramanya Sastry; owner: Subramanya Sastry):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a8

https://gerrit.wikimedia.org/r/625641

Change 625641 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a8

https://gerrit.wikimedia.org/r/625641

Change 617282 merged by jenkins-bot:
[mediawiki/services/parsoid@master] One document to rule them all

https://gerrit.wikimedia.org/r/617282

Arlolra closed this task as Resolved.Sep 29 2020, 10:39 PM

Change 635100 had a related patch set uploaded (by C. Scott Ananian; owner: C. Scott Ananian):
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a12

https://gerrit.wikimedia.org/r/635100

Change 635100 merged by jenkins-bot:
[mediawiki/vendor@master] Bump wikimedia/parsoid to 0.13.0-a12

https://gerrit.wikimedia.org/r/635100

Change 662672 had a related patch set uploaded (by Paladox; owner: Arlolra):
[mediawiki/services/parsoid@REL1_35] Remove special case for the html extension when unpacking

https://gerrit.wikimedia.org/r/662672